RabbitMQ `3.10.19` is a maintenance release in the `3.10.x` [release series](https://www.rabbitmq.com/versions.html).

This series [**reaches its end of community support** on July 31st, 2023](https://rabbitmq.com/versions.html).

Please refer to the upgrade section from [v3.10.0 release notes](https://github.com/rabbitmq/rabbitmq-server/releases/tag/v3.10.0)
if upgrading from a version prior to 3.10.0.

This release **requires Erlang 24.3** and supports Erlang 25.
[RabbitMQ and Erlang/OTP Compatibility Matrix](https://www.rabbitmq.com/which-erlang.html) has more details on
Erlang version requirements for RabbitMQ.


### Minimum Supported Erlang Version

Erlang 23 and 24 versions older than 24.3 have reached [end of support](https://www.rabbitmq.com/which-erlang.html).

This release of RabbitMQ [requires Erlang 24.3.4.8](https://github.com/rabbitmq/rabbitmq-packaging/pull/35)
or later versions. Nodes **will fail to start** on older Erlang releases.

Erlang 25.3 is recommended: it offers much improved performance on ARM64 architectures, [profiling with flame graphs](https://blog.rabbitmq.com/posts/2022/05/flame-graphs/)
across all architectures, and the most recent TLS 1.3 implementation.


## Changes Worth Mentioning

Release notes can be found on GitHub at [rabbitmq-server/release-notes](https://github.com/rabbitmq/rabbitmq-server/tree/v3.10.x/release-notes).


### Management Plugin

#### Bug Fixes

 * Individual virtual host page failed to render.

   GitHub issue: [#7301](https://github.com/rabbitmq/rabbitmq-server/issues/7301)

 * Individual exchange page failed to render.

   GitHub issue: [#7369](https://github.com/rabbitmq/rabbitmq-server/issues/7369)

#### Enhancements

 * Support for Identity Provider-initiated Login (IDP).

   GitHub issues: [#6015](https://github.com/rabbitmq/rabbitmq-server/pull/6015), [#6201](https://github.com/rabbitmq/rabbitmq-server/pull/6201),
   [#6247](https://github.com/rabbitmq/rabbitmq-server/pull/6247), [#7325](https://github.com/rabbitmq/rabbitmq-server/pull/7325)

## OAuth 2 Plugin

### Bug Fixes

 * The `auth_oauth2.preferred_username_claims` key in `rabbitmq.conf` now accepts a list of values.

   GitHub issue: [#7458](https://github.com/rabbitmq/rabbitmq-server/pull/7458)

## Dependency Upgrades

None in this release.


## Source Code Archives

To obtain source code of the entire distribution, please download the archive named `rabbitmq-server-3.10.19.tar.xz`
instead of the source tarball produced by GitHub.
