RabbitMQ `3.9.24` is a maintenance release in the `3.9.x` release series.

Please refer to the **Upgrading to 3.9** section from [v3.9.0 release notes](https://github.com/rabbitmq/rabbitmq-server/releases/tag/v3.9.0) if upgrading from a version prior to 3.9.0.

This release requires at least Erlang 24.2, and supports Erlang 25. [RabbitMQ and Erlang/OTP Compatibility Matrix](https://www.rabbitmq.com/which-erlang.html) has more details on Erlang version requirements for RabbitMQ.


### Minimum Supported Erlang Version

Erlang 23 support has reached its [end of support](https://www.rabbitmq.com/which-erlang.html).

Starting with this release, RabbitMQ requires Erlang 24.2 or later versions. Nodes **will fail to start** on older Erlang releases.

## Changes Worth Mentioning

Release notes can be found on GitHub at [rabbitmq-server/release-notes](https://github.com/rabbitmq/rabbitmq-server/tree/v3.9.x/release-notes).


### Core Server

#### Bug Fixes

  * Intra-cluster communication link metric collector could run into an exception when
    peer connection has just been re-established, e.g. after a peer node restart.

    GitHub issue: [#6127](https://github.com/rabbitmq/rabbitmq-server/pull/6127)

### MQTT Plugin

#### Bug Fixes

  * When a node was [put into maintenance mode](https://www.rabbitmq.com/upgrade.html#maintenance-mode), it closed all MQTT client connections
    cluster-wide instead of just local client connections.

    GitHub issue: [#6108](https://github.com/rabbitmq/rabbitmq-server/pull/6108)


## Dependency Upgrades

None in this release.


## Source Code Archives

To obtain source code of the entire distribution, please download the archive named `rabbitmq-server-3.9.24.tar.xz`
instead of the source tarball produced by GitHub.
